/* $Workfile: OtxDrvD.h $   $Revision: 2 $    $Modtime: 12/18/03 4:46p $  */
#ifndef OTX_DRV_DEF_H
#define OTX_DRV_DEF_H
/*******************************************************************************

  @doc PublicHwApi OtxDrvD

  Copyright (C) 2000 - 2003 Odin TeleSystems Inc., All Rights Reserved

  OTX Generic Hardware Driver API

  @module
  OtxDrvD | Constants, Macros, and Types for the Driver Functions

  @contents2
  OtxDrvD.h |

  @index enum struct type | OtxDrvD

  @contents2
  OTX Driver Management Macros, Constants, and Types |

  @head3 OtxDrvXXX Macro, Constant, and Type Reference |

  @index enum struct type | OtxDrvD

*******************************************************************************/


#ifdef __cplusplus
extern "C" {
#endif


/******************************************************************************
  @enum
    DSP Error Result Codes
******************************************************************************/
enum OtxCtBusDataRateE {
  OTX_CT_BUS_DATA_RATE_2048_KBPS = 0,
  OTX_CT_BUS_DATA_RATE_4096_KBPS = 1,
  OTX_CT_BUS_DATA_RATE_8192_KBPS = 2
};

typedef enum OtxCtBusDataRateE OtxCtBusDataRateE;


#ifdef __cplusplus
}  // extern "C"
#endif

/*******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 2000 - 2003

  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

*******************************************************************************/
#endif    // OTX_DRV_DEF_H
